Skip to main content
PUT
/
v1
/
hubspot
/
owner-mappings
Salvar mapeamentos de owners
curl --request PUT \
  --url https://api.nuvia.ai/v1/hubspot/owner-mappings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner_mappings": [
    {
      "hubspot_owner_id": "<string>",
      "hubspot_owner_email": "jsmith@example.com",
      "hubspot_owner_name": "<string>",
      "nuvia_user_id": "<string>",
      "nuvia_user_name": "<string>"
    }
  ]
}
'
{
  "owner_mappings": [
    {
      "hubspot_owner_id": "12345678",
      "hubspot_owner_email": "john@example.com",
      "hubspot_owner_name": "John Doe",
      "nuvia_user_id": "507f1f77bcf86cd799439011",
      "nuvia_user_name": "João Silva"
    }
  ]
}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Body

application/json
owner_mappings
object[]
required

Lista de mapeamentos owner HubSpot <-> user Nuvia

Response

Mapeamentos salvos com sucesso

owner_mappings
object[]
required

Lista de mapeamentos configurados